LibreOffice LibreOffice 6.1 SDK API Reference

Exported Interfaces | List of all members
ChartData Service Referencepublished

must be supported by every component that wants to provide data for a chart More...

`import"ChartData.idl";`

Inheritance diagram for ChartData:

## Exported Interfaces
interface | com::sun::star::chart::XChartData

## Additional Inherited Members
Public Member Functions inherited from XChartData
void | addChartDataChangeEventListener ([in] com::sun::star::chart::XChartDataChangeEventListener aListener)
| allows a component supporting the XChartDataChangeEventListener interface to register as listener. More...
void | removeChartDataChangeEventListener ([in] com::sun::star::chart::XChartDataChangeEventListener aListener)
| removes a previously registered listener. More...
double | getNotANumber ()
boolean | isNotANumber ([in] double nNumber)
| checks whether the value given is equal to the indicator value for a missing value. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

must be supported by every component that wants to provide data for a chart

Developers Guide
  Charts - Data Access
  Charts - Working With Charts - Document Structure

## Exported Interfaces

## ◆ com::sun::star::chart::XChartData

interface com::sun::star::chart::XChartData

The documentation for this service was generated from the following file:

- com/sun/star/chart/ChartData.idl